List contacts
curl --request GET \
--url https://api.aisa.one/apis/v1/social/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/social/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/social/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/social/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/social/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/social/contacts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/social/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contacts": [
{
"avatarUrl": "<string>",
"company": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customFields": {},
"displayIdentifier": "<string>",
"email": "<string>",
"id": "<string>",
"isBlocked": true,
"isSubscribed": true,
"lastMessageReceivedAt": "2023-11-07T05:31:56Z",
"lastMessageSentAt": "2023-11-07T05:31:56Z",
"messagesReceivedCount": 123,
"messagesSentCount": 123,
"name": "<string>",
"notes": "<string>",
"platform": "<string>",
"platformIdentifier": "<string>",
"tags": [
"<string>"
]
}
],
"filters": {
"tags": [
"<string>"
]
},
"pagination": {
"hasMore": true,
"limit": 123,
"skip": 123,
"total": 123
},
"success": true
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"retryHint": "never",
"retryable": true,
"type": "<string>"
}
}AIsa Social
List contacts
Contacts. Read only; needs social:read. Ids are yours: accounts acc_..., profiles prf_..., posts pst_...; every other object id is checked against your accounts before the call. Without profileId or accountId it reads your default profile.
List and search contacts for a profile. Supports filtering by tags, platform, subscription status, and text search on name, email and company.
<!-- aisa-pricing:start -->
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
GET
https://api.aisa.one
/
apis
/
v1
/
social
/
contacts
List contacts
curl --request GET \
--url https://api.aisa.one/apis/v1/social/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/social/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/social/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/social/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/social/contacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/social/contacts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/social/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contacts": [
{
"avatarUrl": "<string>",
"company": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customFields": {},
"displayIdentifier": "<string>",
"email": "<string>",
"id": "<string>",
"isBlocked": true,
"isSubscribed": true,
"lastMessageReceivedAt": "2023-11-07T05:31:56Z",
"lastMessageSentAt": "2023-11-07T05:31:56Z",
"messagesReceivedCount": 123,
"messagesSentCount": 123,
"name": "<string>",
"notes": "<string>",
"platform": "<string>",
"platformIdentifier": "<string>",
"tags": [
"<string>"
]
}
],
"filters": {
"tags": [
"<string>"
]
},
"pagination": {
"hasMore": true,
"limit": 123,
"skip": 123,
"total": 123
},
"success": true
}{
"error": {
"code": "<string>",
"details": {},
"message": "<string>",
"param": "<string>",
"retryHint": "never",
"retryable": true,
"type": "<string>"
}
}请求规范
- 方法与路径: GET /apis/v1/social/contacts
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/social/contacts - profileId: query; 可选
- accountId: query; 可选
- search: query; 可选
- tag: query; 可选
- tags: query; 可选
- platform: query; 可选
- isSubscribed: query; 可选
- limit: query; 可选
- skip: query; 可选
- Runtime 事实版本: 99acb5bddbedc8d3352e7c4fef86c3e6d8852c14772bcd18dbcf415237a642bd
{
"operationId": "get_aisa_social_apis_v1_social_contacts",
"method": "GET",
"path": "/apis/v1/social/contacts",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"description": "One of your profiles (prf_...). Defaults to your default profile when neither profileId nor accountId is sent.",
"in": "query",
"name": "profileId",
"required": false,
"schema": {
"pattern": "^prf_[0-9A-Za-z]{22}$",
"type": "string"
}
},
{
"description": "One of your social accounts (acc_...).",
"in": "query",
"name": "accountId",
"required": false,
"schema": {
"pattern": "^acc_[0-9A-Za-z]{22}$",
"type": "string"
}
},
{
"description": "Case-insensitive substring match on the contact name, email and company. Phone numbers and other platform identifiers are not matched: they live on the contact channel, not on the contact. To reach a contact from an inbox webhook, use the conversation.contactId it already carries.",
"in": "query",
"name": "search",
"required": false,
"schema": {
"type": "string"
}
},
{
"in": "query",
"name": "tag",
"required": false,
"schema": {
"type": "string"
}
},
{
"description": "Comma-separated tags, matches contacts carrying any of them",
"in": "query",
"name": "tags",
"required": false,
"schema": {
"type": "string"
}
},
{
"in": "query",
"name": "platform",
"required": false,
"schema": {
"enum": [
"instagram",
"facebook",
"telegram",
"twitter",
"bluesky",
"reddit",
"whatsapp",
"slack",
"sms"
],
"type": "string"
}
},
{
"in": "query",
"name": "isSubscribed",
"required": false,
"schema": {
"enum": [
"true",
"false"
],
"type": "string"
}
},
{
"in": "query",
"name": "limit",
"required": false,
"schema": {
"default": 50,
"maximum": 200,
"type": "integer"
}
},
{
"in": "query",
"name": "skip",
"required": false,
"schema": {
"default": 0,
"type": "integer"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"description": "Included with your connected social accounts: AIsa does not charge per call.",
"kind": "no_customer_charge"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
One of your profiles (prf_...). Defaults to your default profile when neither profileId nor accountId is sent.
Pattern:
^prf_[0-9A-Za-z]{22}$One of your social accounts (acc_...).
Pattern:
^acc_[0-9A-Za-z]{22}$Case-insensitive substring match on the contact name, email and company. Phone numbers and other platform identifiers are not matched: they live on the contact channel, not on the contact. To reach a contact from an inbox webhook, use the conversation.contactId it already carries.
Comma-separated tags, matches contacts carrying any of them
可用选项:
instagram, facebook, telegram, twitter, bluesky, reddit, whatsapp, slack, sms 可用选项:
true, false 必填范围:
x <= 200